.\" Copyright (C) 2001 Information-technology Promotion Agency (IPA)
.\" Copyright (C) 2001-2011
.\"   National Institute of Advanced Industrial Science and Technology (AIST)
.\" This file is part of the m17n library documentation.
.\" Permission is granted to copy, distribute and/or modify this document
.\" under the terms of the GNU Free Documentation License, Version 1.2 or
.\" any later version published by the Free Software Foundation; with no
.\" Invariant Section, no Front-Cover Texts,
.\" and no Back-Cover Texts.  A copy of the license is included in the
.\" appendix entitled "GNU Free Documentation License".
.TH "mdbDir" 5 "12 Jan 2011" "Version 1.6.2" "The m17n Library" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mdbDir \- List of data in a database directory. 
.SH "DESCRIPTION"
.PP
The m17n library loads a list of definitions of data of the m17n database from files of name 'mdb.dir' in each database directory at initialization time. The plist format of this file is as follows:
.PP
.PP
.nf

MDB\-DIR ::= DEFINITION *

DEFINITION ::= '(' TAG0 [ TAG1 [ TAG2 [ TAG3 ] ] ] FILE [ VERSION ]')'

TAGn ::= SYMBOL

FILE ::= MTEXT

VERSION ::= MTEXT
.fi
.PP
.PP
If TAG0 is neither `charset' nor `char\-table', and TAGn (n > 0) is a symbol `*', FILE can contain a wildcard charater, and all files matching FILE accoding to the rules used by the shell are the target of database files. In that case, each file must contain SELF\-DEFINITION which is a plist element providing the actual TAGn values by the form:
.PP
.PP
.nf

SELF\-DEFINITION ::= '(' TAG0 TAG1 TAG2 TAG3 [ VERSION ] ')'
.fi
.PP
.PP
For instance, if a database directory contains these files:
.PP
.PP
.nf

zh\-py.mim:
(input\-method zh py)

ko\-han2.mim:
(input\-method ko han2)
.fi
.PP
.PP
these lines in 'mdb.dir':
.PP
.PP
.nf

(input\-method zh py "zh\-py.mim")
(input\-method ko han2 "ko\-han2.mim")
.fi
.PP
.PP
can be shortened to this single line:
.PP
.PP
.nf

(input\-method * "*.mim")
.fi
.PP
.PP
VERSION is a required version number of the m17n library. The format is 'XX.YY.ZZ' where XX is a major version number, YY is a minor version number, and ZZ is a patch level. 
.SH COPYRIGHT
Copyright (C) 2001 Information\-technology Promotion Agency (IPA)
.br
Copyright (C) 2001\-2011 National Institute of Advanced Industrial Science and Technology (AIST)
.br
Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License 
<http://www.gnu.org/licenses/fdl.html>.
